Loading...
Searching...
No Matches
OgreRoot.h File Reference
`#include "OgrePrerequisites.h"`
`#include <exception>`
`#include <deque>`
`#include "OgreSingleton.h"`
`#include "OgreSceneManager.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::Root
| The root class of the Ogre system. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< RenderSystem * > | Ogre::RenderSystemList
typedef std::map< String, SceneManager * > | Ogre::SceneManagerInstanceMap
| Scene manager instances, indexed by instance name.